oasis.names.tc.dss._1_0.core.schema

## Class TstInfo

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.TstInfo

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:18:07+02:00",
                 comments="JAXB RI v2.2.11")
      public class TstInfo
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="SerialNumber" type="{http://www.w3.org/2001/XMLSchema}integer"/>
               <element name="CreationTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
               <element name="Policy" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
               <element name="ErrorBound" type="{http://www.w3.org/2001/XMLSchema}duration" minOccurs="0"/>
               <element name="Ordered" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="TSA" type="{urn:oasis:names:tc:SAML:1.0:assertion}NameIdentifierType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TstInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getCreationTime()` Gets the value of the creationTime property.
    `Duration` | `getErrorBound()` Gets the value of the errorBound property.
    `String` | `getPolicy()` Gets the value of the policy property.
    `BigInteger` | `getSerialNumber()` Gets the value of the serialNumber property.
    `NameIdentifierType` | `getTSA()` Gets the value of the tsa property.
    `Boolean` | `isOrdered()` Gets the value of the ordered property.
    `void` | `setCreationTime(org.joda.time.DateTime value)` Sets the value of the creationTime property.
    `void` | `setErrorBound(Duration value)` Sets the value of the errorBound property.
    `void` | `setOrdered(Boolean value)` Sets the value of the ordered property.
    `void` | `setPolicy(String value)` Sets the value of the policy property.
    `void` | `setSerialNumber(BigInteger value)` Sets the value of the serialNumber property.
    `void` | `setTSA(NameIdentifierType value)` Sets the value of the tsa property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TstInfo

          public TstInfo()

  - ### Method Detail

    - #### getSerialNumber

          public BigInteger getSerialNumber()

      Gets the value of the serialNumber property.
      Returns:
        possible object is `BigInteger`

    - #### setSerialNumber

          public void setSerialNumber(BigInteger value)

      Sets the value of the serialNumber property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getCreationTime

          public org.joda.time.DateTime getCreationTime()

      Gets the value of the creationTime property.
      Returns:
        possible object is `String`

    - #### setCreationTime

          public void setCreationTime(org.joda.time.DateTime value)

      Sets the value of the creationTime property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPolicy

          public String getPolicy()

      Gets the value of the policy property.
      Returns:
        possible object is `String`

    - #### setPolicy

          public void setPolicy(String value)

      Sets the value of the policy property.
      Parameters:
        `value` - allowed object is `String`

    - #### getErrorBound

          public Duration getErrorBound()

      Gets the value of the errorBound property.
      Returns:
        possible object is `Duration`

    - #### setErrorBound

          public void setErrorBound(Duration value)

      Sets the value of the errorBound property.
      Parameters:
        `value` - allowed object is `Duration`

    - #### isOrdered

          public Boolean isOrdered()

      Gets the value of the ordered property.
      Returns:
        possible object is `Boolean`

    - #### setOrdered

          public void setOrdered(Boolean value)

      Sets the value of the ordered property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getTSA

          public NameIdentifierType getTSA()

      Gets the value of the tsa property.
      Returns:
        possible object is `NameIdentifierType`

    - #### setTSA

          public void setTSA(NameIdentifierType value)

      Sets the value of the tsa property.
      Parameters:
        `value` - allowed object is `NameIdentifierType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.